import request from '@/utils/request'

// 查询站点管理列表
export function listAdSite(query) {
  return request({
    url: '/ad/adSite/list',
    method: 'get',
    params: query
  })
}

// 查询站点管理详细
export function getAdSite(id) {
  return request({
    url: '/ad/adSite/' + id,
    method: 'get'
  })
}

// 新增站点管理
export function addAdSite(data) {
  return request({
    url: '/ad/adSite',
    method: 'post',
    data: data
  })
}

// 修改站点管理
export function updateAdSite(data) {
  return request({
    url: '/ad/adSite',
    method: 'put',
    data: data
  })
}

// 删除站点管理
export function delAdSite(id) {
  return request({
    url: '/ad/adSite/' + id,
    method: 'delete'
  })
}

// 导出站点管理
export function exportAdSite(query) {
  return request({
    url: '/ad/adSite/export',
    method: 'get',
    params: query
  })
}